jQuery 1.3 已经发布,包含全新的高性能 CSS 选择器引擎

  • Dio Synodinos
  • 赵劼

2009 年 1 月 20 日

话题:Java.NETRuby语言 & 开发架构

…在 VS2008 的 JS 文件中引入 JQuery 1.3 之后智能提示就失效了。似乎在 Sizzle 这个 jQuery 中新的 CSS 选择器组件中,有些 VS 不喜欢的东西。它使得所有引用的 JavaScript 文件中智能提示都被禁用了。这实在太可惜了。MS 为兼容 jQuery 1.2 发布了一个 pre-SP1 补丁,而且我知道下一版本的 VS 中的智能提示引擎将有一个完整的翻新。不过现在,似乎 Sizzle 里的某些代码让目前的 VS2008 SP1 代码陷入了不稳定的状态。

不过还算幸运,如果您使用一个 -vsdoc.js 文件来替代 jQuery,那么智能提示就能工作正常,因为它忽略了真正的 jQuery 源文件。不过那就没有 jQuery 1.3 的智能提示了。

Java.NETRuby语言 & 开发架构